All Frameworks Object Hierarchy This Framework Indexes
Use the HybridShapeFactory to create a HybridShapeCurvePar object.
o Property CurveOffseted( | ) As |
hybShpCurvePar
in offsetCrv
.
Dim offsetCrv As CATIAReference offsetCrv = hybShpCurvePar.CurveOffseted
o Property CurveParLaw( | ) As |
oLaw
the offset law
for the hybShpCurvePar
hybrid shape feature.
Dim oLaw As Reference Set oLaw = hybShpCurvePar.CurveParLaw
o Property CurveParType( | ) As |
oCurveParType
the curve par type
for the hybShpCurvePar
hybrid shape feature.
oCurveParType = hybShpCurvePar.CurveParType
o Property Geodesic( | ) As |
hybShpCurvePar
hybrid shape curve par feature to True.
hybShpCurvePar.Geodesic = True
o Property InvertDirection( | ) As |
hybShpCurvePar
hybrid shape curve par feature to True.
hybShpCurvePar.InvertDirection = True
o Property InvertMappingLaw( | ) As |
hybShpCurvePar
hybrid shape curve par feature to True.
hybShpCurvePar.InvertMappingLaw = True
o Property KeepBothSides( | ) As |
hybShpCurvePar
Dim bothSides As Boolean bothSides = hybShpCurvePar.KeepBothSides
o Property LawType( | ) As |
oLawType
the law type
for the hybShpCurvePar
hybrid shape feature.
oLawType = hybShpCurvePar.LawType
o Property MaximumDeviationValue( | ) As |
DeviationValue
the maximum deviation value for the
CurvePar
hybrid shape feature.
Dim DeviationValue As CATIALength Set DeviationValue = CurvePar.MaximumDeviationValue
o Property Offset2( | ) As (Read Only) |
hybShpCurvePar
in offsetParm
.
Dim offsetParm As CATIALength offsetParm = hybShpCurvePar.Offset2
o Property Offset( | ) As (Read Only) |
hybShpCurvePar
in offsetParm
.
Dim offsetParm As CATIALength offsetParm = hybShpCurvePar.Offset
o Property OtherSide( | ) As (Read Only) |
hybShpCurvePar
Dim otherSide As CATIAReference Set otherSide = hybShpCurvePar.OtherSide
o Property PassingPoint( | ) As |
hybShpCurvePar
in offsetCrv
.
Dim PassingPoint As CATIAReference offsetCrv = hybShpCurvePar.PassingPoint
o Property SmoothingType( | ) As |
SType
the smoothing type for the
CurvePar
hybrid shape feature.
Dim SType As long Set SType = CurvePar.SmoothingType
o Property Support( | ) As |
oElem
the support of the curve
for the hybShpCurvePar
hybrid shape feature.
Dim oElem As Reference Set oElem = hybShpCurvePar.Support
o Property p3DSmoothing( | ) As |
3DSmoothingOption
the support for the
Project
hybrid shape feature.
Dim 3DSmoothingOption As boolean Set 3DSmoothingOption = Project.p3DSmoothing
o Sub GetPlaneNormal( | oNormal) |
oNormal
the normal
of the hybShpCurvePar
plane created.
Dim oNormal(2) hybShpCurvePar.GetPlaneNormal(oNormal)
You can access each normal coordinate as follows:
x
is in oNormal(0)
y
is in oNormal(1)
z
is in oNormal(2)
o Sub PutPlaneNormal( | iNormal) |
Copyright © 2003, Dassault Systèmes. All rights reserved.